# -*- perl -*-

use Test::More;
BEGIN { plan tests => 2 };
use File::Find::Iterator;
use File::Temp 0.19;
use File::Spec;

my $find = File::Find::Iterator->create(dir => ["."]);

my @res = ();
while (my $f =  $find->next) {
    push @res, $f;
}
ok @res;

# test the statefile option, save it out of current working directory not to
# interfere with other test.
my $tmpdir = File::Temp->newdir();
$find->statefile(File::Spec->catfile($tmpdir, 'statefile'));
$find->first;
my @res2 = ();
push @res2, $find->next, $find->next;

while (my $f =  $find->next) {
    push @res2, $f;
}
ok @res2 == @res;


unlink $find->statefile;
